.. _orgasmi:

The organelle assembler indexer
===============================

the :program:`orgasmi`  program indexes lexicographicaly a set of paired Illumina 
reads stored in fastq format. All the indexed reads must have the same length.
Two options of the indexer allow to index only a subset of the reads and/or
only the beginning of the reads over a specified length. 

usage
-----

.. code-block:: bash

    $ orgasmi -o <index> <forward_fastq_file> <reverse_fastq_file>
    
options
-------

.. program:: obitools

.. cmdoption::    -h  

      Shows the help message and exits.

.. cmdoption::    -o  <index>  : The name of the index ouput files        

        orgasmi creates four files  :

            - <index>.ogx : contains information concerning the index
            - <index>.ofx : contains the sequences themselves and the forward index
            - <index>.orx : contains reverse index
            - <index>.opx : contains read pairing data

        The assembler will need all these file to process assembling
      
.. cmdoption::    -M ###

        If specified, ### represents the count in million of reads to index

.. cmdoption::    -l ###

        If specified ### represents the read length to consider. Only reads
        with a length greater or equal to ### will be indexed. Reads longer
        than the specified length are truncated at the specified length.
        
        If the :option:`-l <orgasmi -l>` is not used the length is estimated from
        the length of the first read of the forward file.
        
      
